document.addEventListener("DOMContentLoaded", (event) => {
    gsap.registerPlugin(ScrollTrigger,ScrollToPlugin,MotionPathPlugin,TextPlugin,SplitText);
    ScrollTrigger.defaults({ toggleActions: "restart complete play none"});
    const ourText = new SplitType('.text__animation__diag', { types: 'chars' });
    const chars = ourText.chars;

    var tlmain = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".h1_section" } })
    .fromTo(chars,
        { 
            y: 150,
            opacity: 0
        },
        {
            
            y: 0,
            opacity: 1,
            stagger: 0.01,
            duration: 1,
            ease: 'power4.out',
        }
    )

    var tls2 = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".h2_videomodule", start: "top center" } })
    .fromTo(chars,
        { 
            opacity: 0,
            y: 500,
            
        },
        {
            
            y: 0,
            opacity: 1,
            stagger: 0.01,
            duration: 1,
            ease: 'power4.out',
        }
    )
    .from(".slide__left", {
        x: -1000,
        duration: 2,
        ease: "power4.out"
    }, 0)
    .fromTo(
        ".slide__up",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 2,
        opacity: 1,
        ease: "power4.out"
    })

    var tls3_1 = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".esg_title_container" } })
    .fromTo(
        ".slide__up",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 1,
        opacity: 1,
        ease: "power4.out"
    })
    .from(".slide__right", {
        x: 1000,
        duration: 1,
        ease: "power4.out"
    }, 0)

    var tls3_2 = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".esg_stat_wrapper", start: 'top center' } })
    .fromTo(
        ".slide__up__1",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 1,
        opacity: 1,
        ease: "power4.out"
    })
    .fromTo(
        ".slide__up__2",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 2,
        opacity: 1,
        ease: "power4.out"
    })

    var tls4 = gsap.timeline({ paused: true, scrollTrigger: { trigger: "#intro", start: 'top center' } })
    .fromTo(
        ".slide__up__3",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 1,
        opacity: 1,
        ease: "power4.out"
    })
    .fromTo(
        ".slide__up__4",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 1,
        opacity: 1,
        ease: "power4.out"
    })

    var tls5 = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".dataspotlight-wrapper"} })
    .fromTo(chars,
        { 
            y: 150,
            opacity: 0
        },
        {
            
            y: 0,
            opacity: 1,
            duration: 2,
            stagger: 0.01,
            ease: 'power4.out',
        }
    )
    .to(".slide__left", {
        duration: 2.5,
        delay: 2,
        ease: "power4.inOut",
    })

    var tls6 = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".section-energy-use"} })
    .fromTo(chars,
        { 
            y: 150,
            opacity: 0
        },
        {
            
            y: 0,
            opacity: 1,
            duration: 2,
            stagger: 0.01,
            ease: 'power4.out',
        }
    )
    .fromTo(
        ".slide__up",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 2,
        opacity: 1,
        ease: "power4.out"
    }, 0)
    var tlmain = gsap.timeline({ paused: true, scrollTrigger: { trigger: ".total-carbon-wrapper" } })
    .fromTo(chars,
        { 
            y: 150,
            opacity: 0
        },
        {
            
            y: 0,
            opacity: 1,
            duration: 2,
            stagger: 0.01,
            ease: 'power4.out',
        }
    )
    .fromTo(
        ".slide__up",
        {
         opacity:0,
         y: 100
        },
        {
        y:0,
        duration: 2,
        opacity: 1,
        ease: "power4.out"
    }, 0)
   });
